#15 LDAP breaks - new Gmail

v1.0 (example)
open
nobody
None
5
2007-10-30
2007-10-30
Andrei Neculau
No

Gmail has released a new UI, and along with it, it seems that Gcaldaemon is now unable to fetch Gmail contacts and transform them into vcf and use them as LDAP contacts.

Discussion

1 2 > >> (Page 1 of 2)
  • wto605
    wto605
    2007-11-08

    Logged In: YES
    user_id=1932457
    Originator: NO

    I second the motion...

    The problem is not in the LDAP, however GCALDaemon's HTTPS transfer of the vCard files has broken... see error below (this is one incident). The numbers in GMClient.java:xxx change from user to user but are constant every time the error occurs for a user.

    INFO | jvm 1 | 2007/11/07 23:10:14 | ERROR | Unable to load contact list!
    INFO | jvm 1 | 2007/11/07 23:10:14 | net.sf.gm.GMException: Error in getContacts --> Not Connected
    INFO | jvm 1 | 2007/11/07 23:10:14 | at net.sf.gm.impl.GMClient.getContacts(GMClient.java:531)
    INFO | jvm 1 | 2007/11/07 23:10:14 | at org.gcaldaemon.core.ldap.ContactLoader.loadContacts(ContactLoader.java:207)
    INFO | jvm 1 | 2007/11/07 23:10:14 | at org.gcaldaemon.core.ldap.ContactLoader.run(ContactLoader.java:169)

     
  • Andrew Min
    Andrew Min
    2007-11-18

    Logged In: YES
    user_id=1858574
    Originator: NO

    IMHO, this should be rated as a little higher than 5. It does, after all, break a crucial part of GCALDaemon.

     
  • Logged In: YES
    user_id=769711
    Originator: NO

    Any progress on this? I'm (trying) to use GCALDaemon on windows with no luck. LDAP was the main thing I was looking forward to now that Gmail has IMAP support this would be a big help.

     
  • r3dsh1ft
    r3dsh1ft
    2007-12-05

    Logged In: YES
    user_id=1953190
    Originator: NO

    a user noted below on 2007-11-07 that he received errors during attempted ldap sync.

    interestingly, mine appears to succeed, but it never downloads contacts.

    ------------------------------------------------------------------------------
    DEBUG | Connecting to Gmail...
    DEBUG | Gmail connected successfully.
    DEBUG | Gmail connection released.
    DEBUG | 0 contacts loaded successfully.
    DEBUG | Loading Gmail contact list...
    DEBUG | Gmail connection borrowed from the pool.
    DEBUG | Gmail connection released.
    ------------------------------------------------------------------------------

    perhaps there's a way to subscribe to one's contacts as an IMAP folder or something?

     
  • Will Sargent
    Will Sargent
    2007-12-17

    Logged In: YES
    user_id=47007
    Originator: NO

    I have the same problem; I'm unable to get the LDAP integration working.

    The error I get from the standalone-start.bat script is

    "ERROR | The substrings sequence is empty"

    If I google for this phrase, it appears in "MatchingRuleAssertionGrammar.java" in the Apache Directory project:

    + TLV tlv = ldapMessageContainer.getCurrentTLV();
    +
    + if ( tlv.getLength().getLength() == 0 )
    + {
    + log.error( "The substrings sequence is empty" );
    + throw new DecoderException( "The substring sequence is empty"
    );
    + }

    So it looks like an empty string is being passed through.

     
  • Chris Guidry
    Chris Guidry
    2008-01-03

    Logged In: YES
    user_id=1972906
    Originator: NO

    I am having the same problem. I looked through the debug output and found what looks like the beginning of an exchange over HTTP with GMail (please ignore sections with <<<<<<<<omitted>>>>>>>>>):

    DEBUG | << "HTTP/1.1 200 OK[\r][\n]"
    DEBUG | << "Cache-control: no-cache, no-store[\r][\n]"
    DEBUG | << "Pragma: no-cache[\r][\n]"
    DEBUG | << "Content-Type: text/html; charset=UTF-8[\r][\n]"
    DEBUG | << "Transfer-Encoding: chunked[\r][\n]"
    DEBUG | << "Server: GFE/1.3[\r][\n]"
    DEBUG | << "Date: Thu, 03 Jan 2008 18:45:29 GMT[\r][\n]"
    DEBUG | >> "GET /mail?view=cl&search=contacts&pnl=a&q=&zv=<<<<<<<<omitted>>>>>>>>> HTTP/1.1[\r][\n]"
    DEBUG | >> "referer: <<<<<<<<omitted>>>>>>>>>"
    DEBUG | >> "Content-Type: text/html[\r][\n]"
    DEBUG | >> "User-Agent: Jakarta Commons-HttpClient/3.0-rc1[\r][\n]"
    DEBUG | >> "Host: mail.google.com[\r][\n]"
    DEBUG | >> "Cookie: <<<<<<<<omitted>>>>>>>>>
    DEBUG | >> "Cookie: <<<<<<<<omitted>>>>>>>>>
    DEBUG | >> "Cookie: <<<<<<<<omitted>>>>>>>>>
    DEBUG | >> "Cookie: <<<<<<<<omitted>>>>>>>>>
    DEBUG | >> "[\r][\n]"
    DEBUG | << "HTTP/1.1 404 Not Found[\r][\n]"
    DEBUG | << "Cache-control: no-cache, no-store[\r][\n]"
    DEBUG | << "Pragma: no-cache[\r][\n]"
    DEBUG | << "Content-Type: text/html; charset=UTF-8[\r][\n]"
    DEBUG | << "Transfer-Encoding: chunked[\r][\n]"
    DEBUG | << "Server: GFE/1.3[\r][\n]"
    DEBUG | << "Date: Thu, 03 Jan 2008 18:45:29 GMT[\r][\n]"

    I don't know much about the GCalDaemon source code, but I think that if this is all done over HTTP using screenscraping, then Google has left us an out:

    I wne to my GMail account and clicked "Older Version" from the top right links. All it did was add ui=1 to the query string parameters, as in:

    http://mail.google.com/mail/?ui=1&view=cl&search=contacts&pnl=a&q=&zv=<<<<<omitted>>>>>&fs=1

    versus this:

    http://mail.google.com/mail/?view=cl&search=contacts&pnl=a&q=&zv=<<<<<omitted>>>>>&fs=1

    I believe that this restores the older GMail UI and should make GCalDaemon work again. I will look through the code to see if I can find the relevant source to change.

     
  • Logged In: NO

    This is the last piece of my puzzle to leave MS behind! Any update on this bugfix?

     
  • aberkes
    aberkes
    2008-01-28

    Logged In: YES
    user_id=1664061
    Originator: NO

    In beta15 I throwed out "Gmail for Java" API.
    This G4J project has unfortunately been discontinued.

    From beta15 GCALDaemon uses Gmail's "EXPORT ALL CONTACTS IN GMAIL CSV" feature instead of G4J-parser.

    Please try it out and let me know if it works for You.
    (it works for me using Google Apps and with simple Gmail account too)
    Thanks!

     
  • wto605
    wto605
    2008-01-29

    Logged In: YES
    user_id=1932457
    Originator: NO

    Sync now works... however changes aren't reflected on the LDAP server until GCALD is restarted (the service or standalone). This is not a syncing problem, sync works just fine when a manual one is performed, and the changes are reflected in the vCards, but the LDAP server does not show the changes.

    Only using LDAP, Thunderbird, Regular Gmail, most recent beta

    If there are any logs that would be helpful please let me know.

     
  • jo60
    jo60
    2008-01-29

    Logged In: YES
    user_id=1988691
    Originator: NO

    I installed GCALDameon beta15 and it works with Outlook Express. However I could not make it work with Outlook 2003. It would just hang up the Outlook 2003.

     
1 2 > >> (Page 1 of 2)